'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

exports.default = jiraAPI;

var _http = require('../http');

var _http2 = _interopRequireDefault(_http);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function jiraAPI({ token, host } = {}, httpClient = _http2.default) {
  const BASE_URL = `https://${host}/rest/api/2`;

  function request({ url, params = {}, method } = {}) {
    return httpClient((0, _extends3.default)({
      url,
      params,
      headers: {
        Authorization: `Basic ${token}`
      }
    }, method ? { method } : {}));
  }

  function getProjects() {
    return request({ url: `${BASE_URL}/project` });
  }

  function getIssuesForUser() {
    return request({ url: `${BASE_URL}/search?jql=assignee=currentuser()` });
  }

  return {
    request,
    getIssuesForUser,
    getProjects
  };
}
module.exports = exports['default'];
//# sourceMappingURL=jira-api.js.map